from setuptools import setup

requirements = ['pyftpdlib>=1.5.0', 'pythonsdk>=0.8.16']

with open('README.md', 'rb') as file:
    readme = file.read().decode('utf-8') 
setup(
    name='bosftp',
    version='1.0.0',
    description='FTP tool for BOS(Baidu Object Service)',
    long_description=readme,
    url='https://cloud.baidu.com/',
    license='MIT',
    author='BOS team',
    author_email='lihangyu01@baidu.com',
    packages=['bosftp'],
    install_requires=requirements,
    include_package_data=True
)
