# -*- coding:utf-8 -*-
"""
    test BosAuthorizer
"""
import unittest

import sys
sys.path.append("../bosftp")
import start_ftp_server 
from bosftp_config import BosftpCfg
from bos_authorizer import BosAuthorizer
from pyftpdlib.authorizers import AuthenticationFailed
class AuthTest(unittest.TestCase):
    """
    Test Class for BosAuthorizer
    """

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def test_validate_auth(self):
        """
        test authorizer.validate_authentication
        """
        authorizer = BosAuthorizer()
        try:
            authorizer.validate_authentication("notexist", "wrong", None)
        except AuthenticationFailed as e:
            print e
        else:
            self.fail("test_validate_auth failed")
if __name__ == '__main__':
    unittest.main()
